# SalesChannelMarketPlaceAttributeValue

## Retrieve a marketplace attribute value

> Retrieves a marketplace attribute value

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeValue":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Unique identifier of the attribute"},"attribute":{"type":"integer","description":"Associated MarketPlaceAttribute id"},"label":{"type":"string","maxLength":750,"description":"Label value of the MarketPlaceAttributeValue data"},"value":{"type":"string","maxLength":750,"nullable":true,"description":"Value of the MarketPlaceAttributeValue data"},"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"Creation date of the data"},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Last modification date"}},"required":["attribute","label"]}},"responses":{"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_values/{id}":{"get":{"summary":"Retrieve a marketplace attribute value","description":"Retrieves a marketplace attribute value","tags":["SalesChannelMarketPlaceAttributeValue"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Marketplace attribute value details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeValue"}}}},"401":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Delete a marketplace attribute value

> Deletes a marketplace attribute value via given id

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"responses":{"204":{"description":"No content"},"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}}}},"paths":{"/api/channel/{channel_id}/attribute_values/{id}":{"delete":{"summary":"Delete a marketplace attribute value","description":"Deletes a marketplace attribute value via given id","tags":["SalesChannelMarketPlaceAttributeValue"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"204":{"$ref":"#/components/responses/204"},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"}}}}}}
```

## List of MarketPlaceAttributeValue data

> Retrieves all data of MarketPlaceAttributeValue

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeValue":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Unique identifier of the attribute"},"attribute":{"type":"integer","description":"Associated MarketPlaceAttribute id"},"label":{"type":"string","maxLength":750,"description":"Label value of the MarketPlaceAttributeValue data"},"value":{"type":"string","maxLength":750,"nullable":true,"description":"Value of the MarketPlaceAttributeValue data"},"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"Creation date of the data"},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Last modification date"}},"required":["attribute","label"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_values/":{"get":{"summary":"List of MarketPlaceAttributeValue data","description":"Retrieves all data of MarketPlaceAttributeValue","tags":["SalesChannelMarketPlaceAttributeValue"],"parameters":[{"$ref":"#/components/parameters/channel_path"}],"responses":{"200":{"description":"List of MarketPlaceAttributeValue data","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of items"},"next":{"type":"string","nullable":true,"description":"URL for next page"},"previous":{"type":"string","nullable":true,"description":"URL for previous page"},"results":{"type":"array","items":{"$ref":"#/components/schemas/MarketPlaceAttributeValue"}}}}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Create a new marketplace attribute value

> Creates a new marketplace attribute value for a spesific channel (Channels are related with the attribute value's attribute data)

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeValue":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Unique identifier of the attribute"},"attribute":{"type":"integer","description":"Associated MarketPlaceAttribute id"},"label":{"type":"string","maxLength":750,"description":"Label value of the MarketPlaceAttributeValue data"},"value":{"type":"string","maxLength":750,"nullable":true,"description":"Value of the MarketPlaceAttributeValue data"},"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"Creation date of the data"},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Last modification date"}},"required":["attribute","label"]},"MarketPlaceAttribute":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Unique identifier of the attribute"},"name":{"type":"string","maxLength":255,"description":"Name of the attribute"},"channel":{"type":"integer","description":"Associated channel ID"},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"Associated schema ID, can be null"},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Last modification date"}},"required":["name","channel"]}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}}}},"paths":{"/api/channel/{channel_id}/attribute_values/":{"post":{"summary":"Create a new marketplace attribute value","description":"Creates a new marketplace attribute value for a spesific channel (Channels are related with the attribute value's attribute data)","tags":["SalesChannelMarketPlaceAttributeValue"],"parameters":[{"$ref":"#/components/parameters/channel_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeValue"}}}},"responses":{"201":{"description":"Successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttribute"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"}}}}}}
```

## Update a marketplace attribute value

> Updates a marketplace attribute value via current data

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeValue":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Unique identifier of the attribute"},"attribute":{"type":"integer","description":"Associated MarketPlaceAttribute id"},"label":{"type":"string","maxLength":750,"description":"Label value of the MarketPlaceAttributeValue data"},"value":{"type":"string","maxLength":750,"nullable":true,"description":"Value of the MarketPlaceAttributeValue data"},"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"Creation date of the data"},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Last modification date"}},"required":["attribute","label"]}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_values/{id}/":{"patch":{"summary":"Update a marketplace attribute value","description":"Updates a marketplace attribute value via current data","tags":["SalesChannelMarketPlaceAttributeValue"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeValue"}}}},"responses":{"200":{"description":"Successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeValue"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/saleschannelmarketplaceattributevalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
